// cStringArray.h: interface for the cStringArray class.
//
//////////////////////////////////////////////////////////////////////

#ifndef cStringArray_H
#define cStringArray_H

#include <windows.h>
#include <stdio.h>

class cStringArray{
private:
protected:
	char **Strings;
	char **Indices;
	int charCount;
	int LineCount;


public:
	cStringArray();
	virtual ~cStringArray();

	bool Create(int _charCount, int _LineCount);
	void Destroy();

	// Table Operations
	void ScrollUp(int BeginLine = 0, int EndLine = - 1);

	// String Oprations
	bool AddString(char *String, int Index = -1);
	bool Printf(char *format, ...);
	bool Printfv(char *format, va_list VaList);
	char *GetString(int Index);

};

#endif
